function status = nc_isvar ( ncfile, varname )
% NC_ISVAR:  yes if the given variable is in the netcdf file
%
% USAGE:  status = nc_isvar ( ncfile, varname );
%
% PARAMETERS:
% ncfile:  
%    Input netcdf file name.
% varname:  
%    variable to check




% assume false until we know otherwise
status = 0;




% Show usage if too few arguments.
%
if nargin~=2 
   help nc_isvar;
   return;
end


%
% Open netCDF file
%
[cdfid,rcode ]=ncmex('open',ncfile,'NOWRITE');
if cdfid < 0
	fprintf ( 2, '%s:  ncmex:open failed on %s.\n', mfilename, ncfile );
	return
end

% Suppress warning messages from netCDF
[rcode]=ncmex('setopts',0);

[varid, rcode] = ncmex('VARID', cdfid, varname);
if rcode < 0
	ncmex('close',cdfid);
    return
end

if ( varid < 0 )
	status = -1;
end

status = 1;
return;


