function [values, status] = ncattget(cdf, var, att)
% NCATTGET: Get the values of a NetCDF attribute.
%
% USAGE:  [values, status] = ncattget(ncfile, var, att);
%
% PARAMETERS:
%   values:  return value of attribute asked for
%   status:  -1 for failure, 0 for success
%   ncfile:  name of netcdf file in question
%   var:  name of variable in question, use '' or 'GLOBAL'
%         to retrieve on a global file attribute.
%   att:  name of attribute in question
%
% Example:
%    [values, status] = ncattget('foo.cdf', 'x', 'scale_factor')


values = [];
status = -1;
if ( nargin ~= 3 )
	help nc_attget;
	return;
end


[values, status] = nc_attget ( cdf, var, att );


return
