function [values, status] = ncgetlast(cdf, var, num_datums)
% NCGETLAST:  Get last few datums from 1D NetCDF variable.
%
% USAGE: [values, status] = ncgetlast( netcdf_file, variable, n )
%
% PARAMETERS:
%    values:  return data
%    status:  -1 if function failed, 0 if ok
%    netcdf_file:  name of netcdf file
%    variable:  name of variable to retrieve
%    n:  number of items to get, starting at the end
%
% Very similar to ncvarget except that we count back from
% the end.
%
% AUTHOR:  johnevans@acm.org
%



[values, status] = nc_getlast ( cdf, var, num_datums );
return;
